var currentVersion = "";
var DEBUG = false;
let api = `${DEBUG?"http://127.0.0.1:51000":"https://helper.aisouziyuan.com"}/Extensions/Api`;
var options = {
	useEasing: true,
	useGrouping: true,
	separator: ',',
	decimal: '.',
};

document.addEventListener('DOMContentLoaded', function() {
	chrome.storage.local.get("version", function(data) {
		currentVersion = data.version;
		console.log(data)
		$("#current-version").text(currentVersion);
	});


	$.ajax({
		url: "https://helper.aisouziyuan.com/ServerVersion/ChromeConfig.json?r=" + Date.parse(new Date()),
		type: "get",
		success: function(body) {
			var html = "";
			body.QQGroup.forEach(function(item) {
				html += `<p> <a href="${item.url}" target="_blank">${item.name}</a></p>`
			})
			$("#site").attr("href", body.site);
			$("#version").html(body.version);
			$(".q-group").html(html);
		},
		error: function(body) {
			console.log("失败");
		}
	})




	chrome.storage.local.get("isNotAutoCollect", function(data) {
		document.getElementById('check').checked = !data.isNotAutoCollect;
	});

	chrome.storage.local.get("debug", function(data) {
		document.getElementById('debug').checked = !data.debug;
	});
	chrome.storage.local.get("openMyShare", function(data) {
		document.getElementById('myShare').checked = !data.openMyShare;
	});
	chrome.storage.local.get("update", function(data) {
		document.getElementById('update').checked = !data.update;
	})

	chrome.storage.local.get("loginInfo", function(data) {

		if (!data.loginInfo) {
			$(".userinfo").hide();
			$(".login").show();
			return false;
		}
		$(".login").hide();
		$(".userinfo").show();

		new CountUp('num', 0, data.loginInfo.collect, 0, 2.5, options).start();
		$(".name").text(data.loginInfo.nickName)
		$(".head").text((data.loginInfo.nickName || "").substr(0, 1));



		$.ajax({
			url: api + "/collectNumber",
			type: "POST",
			data: {
				token: data.loginInfo.token,
				uid: data.loginInfo.uid
			},
			success: function(body) {
				if (body.code != 0)
					return false

				new CountUp('num', 0, body.body.collect, 0, 2.5, options).start();
				data.loginInfo.collect = body.body;
				chrome.storage.local.set({
					"loginInfo": data.loginInfo
				});
			},
			error: function(body) {
				console.log("失败");
			}
		})
	});


});



// 要放外面
document.getElementById('check').onclick = function() {
	chrome.storage.local.set({
		"isNotAutoCollect": !document.getElementById('check').checked
	});
};

document.getElementById('debug').onclick = function() {
	chrome.storage.local.set({
		"debug": !document.getElementById('debug').checked
	});
};


document.getElementById('myShare').onclick = function() {
	chrome.storage.local.set({
		"openMyShare": !document.getElementById('myShare').checked
	});
};



document.getElementById('update').onclick = function() {
	chrome.storage.local.set({
		"update": !document.getElementById('update').checked
	});
};

// document.getElementById('birdiesearch').onclick = function() {
//     document.getElementById('aisouziyuan').checked = false
// };


$(".out").click(function() {
	chrome.storage.local.set({
		"loginInfo": ""
	});
	$(".userinfo").hide();
	$(".login").show();
})

$(".search-btn").click(function() {
	var val = $(".search").val();
	var url = "https://www.aisouziyuan.com/search/?name=" + val;
	chrome.tabs.create({
		url: url
	});
})

$(".search").keydown(function(event) { //给输入框绑定按键事件
	if (event.keyCode == "13") { //判断如果按下的是回车键则执行下面的代码
		$(".search-btn").click();
	}
})

$("#login").click(function() {
	var email = $(".email").val();
	var password = $(".password").val();
	// var type = document.getElementById('birdiesearch').checked ? "BirdieSearch" : "AisSouZiYuan";
	$.ajax({
		// url: api + (type == "BirdieSearch" ? "/BirdieSearch/Login" : "/Login"),
		url: api + "/Login",
		type: "POST",
		data: {
			email: email,
			password: password,
			// loginType: type,
			version: currentVersion
		},
		success: function(body) {
			if (body.code != 0) {
				$(".tip").text(body.msg).fadeIn().delay(2000).fadeOut();
				return false;
			}

			new CountUp('num', 0, body.body.collect, 0, 2.5, options).start();
			$(".name").text(body.body.nickName)
			$(".head").text((body.body.nickName || "").substr(0, 1))
			$(".userinfo").show();
			$(".login").hide();
			chrome.storage.local.set({
				"loginInfo": body.body
			});
		},
		error: function() {
			$(".tip").text("登录失败，请检查您的网络连接状态").fadeIn().delay(2000).fadeOut();
		}
	})
})
